Skip to content
Permalink
Browse files

Format version control

  • Loading branch information...
Omico committed Feb 1, 2017
1 parent 4179044 commit a535c03b88734bc1266dddbca5c03c5f3f017dc4
Showing with 41 additions and 16 deletions.
  1. +9 −9 app/build.gradle
  2. +2 −0 build.gradle
  3. +23 −0 config.gradle
  4. +7 −7 library/build.gradle
@@ -1,14 +1,14 @@
apply plugin: 'com.android.application'

android {
compileSdkVersion 25
buildToolsVersion "25.0.2"
compileSdkVersion rootProject.ext.compileSdkVersion
buildToolsVersion rootProject.ext.buildToolsVersion
defaultConfig {
applicationId "me.omico.currentactivity"
minSdkVersion 19
targetSdkVersion 25
versionCode 4
versionName "1.0.3"
applicationId rootProject.ext.app.applicationId
minSdkVersion rootProject.ext.app.minSdkVersion
targetSdkVersion rootProject.ext.app.targetSdkVersion
versionCode rootProject.ext.app.versionCode
versionName rootProject.ext.app.versionName
}
buildTypes {
release {
@@ -21,7 +21,7 @@ android {

dependencies {
compile fileTree(include: ['*.jar'], dir: 'libs')
compile 'com.android.support:appcompat-v7:25.1.0'
compile 'com.android.support:design:25.1.0'
compile "com.android.support:appcompat-v7:$rootProject.ext.dependencies.supportLibraryVersion"
compile "com.android.support:design:$rootProject.ext.dependencies.supportLibraryVersion"
compile project(':library')
}
@@ -1,5 +1,7 @@
// Top-level build file where you can add configuration options common to all sub-projects/modules.

apply from: "config.gradle"

buildscript {
repositories {
jcenter()
@@ -0,0 +1,23 @@
ext {
compileSdkVersion = 25
buildToolsVersion = "25.0.2"

app = [
applicationId : "me.omico.currentactivity",
minSdkVersion : 19,
targetSdkVersion: 25,
versionCode : 4,
versionName : "1.0.3"
]

library = [
minSdkVersion : 19,
targetSdkVersion: 25,
versionCode : 1,
versionName : "1.0.0"
]

dependencies = [
supportLibraryVersion: "25.1.1"
]
}
@@ -1,14 +1,14 @@
apply plugin: 'com.android.library'

android {
compileSdkVersion 25
buildToolsVersion "25.0.2"
compileSdkVersion rootProject.ext.compileSdkVersion
buildToolsVersion rootProject.ext.buildToolsVersion

defaultConfig {
minSdkVersion 19
targetSdkVersion 25
versionCode 1
versionName "1.0"
minSdkVersion rootProject.ext.library.minSdkVersion
targetSdkVersion rootProject.ext.library.targetSdkVersion
versionCode rootProject.ext.library.versionCode
versionName rootProject.ext.library.versionName
}
buildTypes {
release {
@@ -21,5 +21,5 @@ android {

dependencies {
compile fileTree(dir: 'libs', include: ['*.jar'])
compile 'com.android.support:appcompat-v7:25.1.0'
compile "com.android.support:appcompat-v7:$rootProject.ext.dependencies.supportLibraryVersion"
}

0 comments on commit a535c03

Please sign in to comment.
You can’t perform that action at this time.